package mvcRobot;

import com.pi4j.io.gpio.*;

public class Robot {
	
	// attributs : elements du robot
	private GpioController gpio;
	private GpioPinDigitalOutput led18;

	// constructeur du robot
	public Robot(){
		this.gpio = GpioFactory.getInstance();
		this.led18 = gpio.provisionDigitalOutputPin(RaspiPin.GPIO_01);
	}

	public void allumerLed(GpioPinDigitalOutput led) {
		led.high();
	}
	
	public void eteindreLed(GpioPinDigitalOutput led) {
		led.low();
	}
	
	public void resetGPIO() {
		gpio.shutdown();
		gpio.setState(false, led18);
	}

	public GpioPinDigitalOutput getLed18() {
		return led18;
	}
}

